GETTEXT(1)

NAME
gettext - message translation front-end

SYNOPSIS
gettext [-h]
gettext [-en] [textdomain] msgid
gettext -s [-n] [msgid ...]

DESCRIPTION
gettext attempts to translate a given msgid into the locale-specific string as determined by the environment. If a translation file is not found, or a translation for the given msgid is not found, the original string will be echoed.

If the textdomain is not provided as an argument, the TEXTDOMAIN environment variable will be consulted instead.

By default gettext will look for message catalogs in /usr/share/locale. If the environment variable TEXTDOMAINDIR is defined, then that will override the default location.

The following flags are available:

-e  Interpret backslash escape sequences prior to translation.

-h  Print the usage information

-n  If -s is used, do not add the trailing newline. If -s is not provided, this flag will do nothing.

-s  Act similarly to echo(1). All msgid arguments will be translated, and a newline will be appended to the output string.

ENVIRONMENT

TEXTDOMAIN
    The domain to use when looking up msgids.

TEXTDOMAINDIR
    The location of message catalogs to use, overriding /usr/share/locale.

EXIT STATUS

EXAMPLES

    $ LANG=es gettext grep 'writing output'
    escribiendo el resultado

SEE ALSO
echo(1), gettext(3), environ(7)